---
title: Google Chat Integration
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Google Chat Integration
---

# Google Chat Integration

Configure your [Datadog Google Chat integration](https://docs.datadoghq.com/integrations/google-hangouts-chat/) directly through the Datadog API.

## Get all organization handles{% #get-all-organization-handles %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                                                  |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles      |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles |

### Overview

Get a list of all organization handles from the Datadog Google Chat integration.

### Arguments

#### Path Parameters

| Name                                      | Type   | Description                   |
| ----------------------------------------- | ------ | ----------------------------- |
| organization_binding_id [*required*] | string | Your organization binding ID. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
List of organization handles for monitor notifications to Google Chat spaces within a Google organization.

| Parent field | Field                  | Type     | Description                                                                               |
| ------------ | ---------------------- | -------- | ----------------------------------------------------------------------------------------- |
|              | data [*required*] | [object] | An array of organization handles.                                                         |
| data         | attributes             | object   | Organization handle attributes.                                                           |
| attributes   | name                   | string   | Organization handle name.                                                                 |
| attributes   | space_display_name     | string   | Google space display name.                                                                |
| attributes   | space_resource_name    | string   | Google space resource name.                                                               |
| data         | id                     | string   | The ID of the organization handle.                                                        |
| data         | type                   | enum     | Organization handle resource type. Allowed enum values: `google-chat-organization-handle` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "name": "fake-handle-name",
        "space_display_name": "Fake Space Name",
        "space_resource_name": "spaces/AAAAAAAAA"
      },
      "id": "596da4af-0563-4097-90ff-07230c3f9db3",
      "type": "google-chat-organization-handle"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parametersexport organization_binding_id="CHANGE_ME"\# Curl commandcurl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
                
{% /tab %}

## Create organization handle{% #create-organization-handle %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                                                   |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles      |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles |

### Overview

Create an organization handle in the Datadog Google Chat integration.

### Arguments

#### Path Parameters

| Name                                      | Type   | Description                   |
| ----------------------------------------- | ------ | ----------------------------- |
| organization_binding_id [*required*] | string | Your organization binding ID. |

### Request

#### Body Data (required)

Organization handle payload.

{% tab title="Model" %}

| Parent field | Field                                 | Type   | Description                                                                               |
| ------------ | ------------------------------------- | ------ | ----------------------------------------------------------------------------------------- |
|              | data [*required*]                | object | Organization handle data for a create request.                                            |
| data         | attributes [*required*]          | object | Organization handle attributes for a create request.                                      |
| attributes   | name [*required*]                | string | Organization handle name.                                                                 |
| attributes   | space_resource_name [*required*] | string | Google space resource name.                                                               |
|              | type [*required*]                | enum   | Organization handle resource type. Allowed enum values: `google-chat-organization-handle` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "name": "Example-Google-Chat-Integration",
      "space_resource_name": "spaces/AAQA-zFIks8"
    }
  },
  "type": "google-chat-organization-handle"
}
```

{% /tab %}

### Response

{% tab title="201" %}
CREATED
{% tab title="Model" %}
Organization handle for monitor notifications to a Google Chat space within a Google organization.

| Parent field | Field                  | Type   | Description                                                                               |
| ------------ | ---------------------- | ------ | ----------------------------------------------------------------------------------------- |
|              | data [*required*] | object | Organization handle data from a response.                                                 |
| data         | attributes             | object | Organization handle attributes.                                                           |
| attributes   | name                   | string | Organization handle name.                                                                 |
| attributes   | space_display_name     | string | Google space display name.                                                                |
| attributes   | space_resource_name    | string | Google space resource name.                                                               |
| data         | id                     | string | The ID of the organization handle.                                                        |
| data         | type                   | enum   | Organization handle resource type. Allowed enum values: `google-chat-organization-handle` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "name": "fake-handle-name",
      "space_display_name": "Fake Space Name",
      "space_resource_name": "spaces/AAAAAAAAA"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "google-chat-organization-handle"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="409" %}
Conflict
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \# Path parametersexport organization_binding_id="CHANGE_ME"\# Curl commandcurl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "name": "Example-Google-Chat-Integration",
      "space_resource_name": "spaces/AAQA-zFIks8"
    }
  },
  "type": "google-chat-organization-handle"
}
EOF
                        
{% /tab %}

## Get organization handle{% #get-organization-handle %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                                                              |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}      |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |

### Overview

Get an organization handle from the Datadog Google Chat integration.

### Arguments

#### Path Parameters

| Name                                      | Type   | Description                   |
| ----------------------------------------- | ------ | ----------------------------- |
| organization_binding_id [*required*] | string | Your organization binding ID. |
| handle_id [*required*]               | string | Your organization handle ID.  |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Organization handle for monitor notifications to a Google Chat space within a Google organization.

| Parent field | Field                  | Type   | Description                                                                               |
| ------------ | ---------------------- | ------ | ----------------------------------------------------------------------------------------- |
|              | data [*required*] | object | Organization handle data from a response.                                                 |
| data         | attributes             | object | Organization handle attributes.                                                           |
| attributes   | name                   | string | Organization handle name.                                                                 |
| attributes   | space_display_name     | string | Google space display name.                                                                |
| attributes   | space_resource_name    | string | Google space resource name.                                                               |
| data         | id                     | string | The ID of the organization handle.                                                        |
| data         | type                   | enum   | Organization handle resource type. Allowed enum values: `google-chat-organization-handle` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "name": "fake-handle-name",
      "space_display_name": "Fake Space Name",
      "space_resource_name": "spaces/AAAAAAAAA"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "google-chat-organization-handle"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parametersexport organization_binding_id="CHANGE_ME"export handle_id="CHANGE_ME"\# Curl commandcurl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles/${handle_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
                
{% /tab %}

## Update organization handle{% #update-organization-handle %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                                                                |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}      |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |

### Overview

Update an organization handle from the Datadog Google Chat integration.

### Arguments

#### Path Parameters

| Name                                      | Type   | Description                   |
| ----------------------------------------- | ------ | ----------------------------- |
| organization_binding_id [*required*] | string | Your organization binding ID. |
| handle_id [*required*]               | string | Your organization handle ID.  |

### Request

#### Body Data (required)

Organization handle payload.

{% tab title="Model" %}

| Parent field | Field                        | Type   | Description                                                                               |
| ------------ | ---------------------------- | ------ | ----------------------------------------------------------------------------------------- |
|              | data [*required*]       | object | Organization handle data for an update request.                                           |
| data         | attributes [*required*] | object | Organization handle attributes for an update request.                                     |
| attributes   | name                         | string | Organization handle name.                                                                 |
| attributes   | space_resource_name          | string | Google space resource name.                                                               |
|              | type [*required*]       | enum   | Organization handle resource type. Allowed enum values: `google-chat-organization-handle` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "name": "fake-handle-name--updated"
    }
  },
  "type": "google-chat-organization-handle"
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Organization handle for monitor notifications to a Google Chat space within a Google organization.

| Parent field | Field                  | Type   | Description                                                                               |
| ------------ | ---------------------- | ------ | ----------------------------------------------------------------------------------------- |
|              | data [*required*] | object | Organization handle data from a response.                                                 |
| data         | attributes             | object | Organization handle attributes.                                                           |
| attributes   | name                   | string | Organization handle name.                                                                 |
| attributes   | space_display_name     | string | Google space display name.                                                                |
| attributes   | space_resource_name    | string | Google space resource name.                                                               |
| data         | id                     | string | The ID of the organization handle.                                                        |
| data         | type                   | enum   | Organization handle resource type. Allowed enum values: `google-chat-organization-handle` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "name": "fake-handle-name",
      "space_display_name": "Fake Space Name",
      "space_resource_name": "spaces/AAAAAAAAA"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "google-chat-organization-handle"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="409" %}
Conflict
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \# Path parametersexport organization_binding_id="CHANGE_ME"export handle_id="CHANGE_ME"\# Curl commandcurl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles/${handle_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "name": "fake-handle-name--updated"
    }
  },
  "type": "google-chat-organization-handle"
}
EOF
                        
{% /tab %}

## Delete organization handle{% #delete-organization-handle %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                                                                 |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}      |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id} |

### Overview

Delete an organization handle from the Datadog Google Chat integration.

### Arguments

#### Path Parameters

| Name                                      | Type   | Description                   |
| ----------------------------------------- | ------ | ----------------------------- |
| organization_binding_id [*required*] | string | Your organization binding ID. |
| handle_id [*required*]               | string | Your organization handle ID.  |

### Response

{% tab title="204" %}
OK
{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parametersexport organization_binding_id="CHANGE_ME"export handle_id="CHANGE_ME"\# Curl commandcurl -X DELETE "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles/${handle_id}" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
                
{% /tab %}

## Get space information by display name{% #get-space-information-by-display-name %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                                                       |
| ----------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name}      |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/app/named-spaces/{domain_name}/{space_display_name} |

### Overview

Get the resource name and organization binding ID of a space in the Datadog Google Chat integration.

### Arguments

#### Path Parameters

| Name                                 | Type   | Description                         |
| ------------------------------------ | ------ | ----------------------------------- |
| domain_name [*required*]        | string | The Google Chat domain name.        |
| space_display_name [*required*] | string | The Google Chat space display name. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response with Google Chat space information.

| Parent field | Field                   | Type   | Description                                                                         |
| ------------ | ----------------------- | ------ | ----------------------------------------------------------------------------------- |
|              | data [*required*]  | object | Google Chat space data from a response.                                             |
| data         | attributes              | object | Google Chat space attributes.                                                       |
| attributes   | display_name            | string | Google space display name.                                                          |
| attributes   | organization_binding_id | string | Organization binding ID.                                                            |
| attributes   | resource_name           | string | Google space resource name.                                                         |
| attributes   | space_uri               | string | Google space URI.                                                                   |
| data         | id                      | string | The ID of the Google Chat space.                                                    |
| data         | type                    | enum   | Google Chat space resource type. Allowed enum values: `google-chat-app-named-space` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "display_name": "Fake Space Name",
      "organization_binding_id": "2f18a894-adb5-4c53-8248-39fd3f5386a5",
      "resource_name": "spaces/AAAAAAAAA",
      "space_uri": "https://chat.google.com/room/AAAAAAAAA"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "google-chat-app-named-space"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parametersexport domain_name="CHANGE_ME"export space_display_name="CHANGE_ME"\# Curl commandcurl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/app/named-spaces/${domain_name}/${space_display_name}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
                
{% /tab %}
